Package ru.bitel.bgbilling.kernel.admin.mail.common.bean

# Class MailConfig

java.lang.Object
ru.bitel.bgbilling.kernel.admin.mail.common.bean.MailConfig

public class MailConfig extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `MailConfig.HandlerMode`
  `static enum`
  `MailConfig.PatternMode`
  `static enum`
  `MailConfig.SubjectMode`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MailConfig()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComponentId()`
  `String`
  `getHandlerCustom()`
  `String`
  `getHandlerDefault()`
  `MailConfig.HandlerMode`
  `getHandlerMode()`
  `String`
  `getHandlerParams()`
  `String`
  `getKey()`
  `int`
  `getModuleId()`
  `String`
  `getPatternCustom()`
  `String`
  `getPatternDefault()`
  `MailConfig.PatternMode`
  `getPatternMode()`
  `String`
  `getSubjectCustom()`
  `MailConfig.SubjectMode`
  `getSubjectMode()`
  `MailConfig`
  `setComponentId(String componentId)`
  `MailConfig`
  `setHandlerCustom(String handlerCustom)`
  `MailConfig`
  `setHandlerDefault(String handlerDefault)`
  `MailConfig`
  `setHandlerMode(MailConfig.HandlerMode handlerMode)`
  `MailConfig`
  `setHandlerParams(String handlerParams)`
  `MailConfig`
  `setKey(String key)`
  `MailConfig`
  `setModuleId(int moduleId)`
  `MailConfig`
  `setPatternCustom(String patternCustom)`
  `MailConfig`
  `setPatternDefault(String patternDefault)`
  `MailConfig`
  `setPatternMode(MailConfig.PatternMode patternMode)`
  `MailConfig`
  `setSubjectCustom(String subjectCustom)`
  `MailConfig`
  `setSubjectMode(MailConfig.SubjectMode subjectMode)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MailConfig

    public MailConfig()

- ## Method Details

  - ### getComponentId

    public String getComponentId()

  - ### getModuleId

    public int getModuleId()

  - ### getKey

    public String getKey()

  - ### getSubjectMode

    public MailConfig.SubjectMode getSubjectMode()

  - ### getSubjectCustom

    public String getSubjectCustom()

  - ### getPatternMode

    public MailConfig.PatternMode getPatternMode()

  - ### getPatternDefault

    public String getPatternDefault()

  - ### getPatternCustom

    public String getPatternCustom()

  - ### getHandlerMode

    public MailConfig.HandlerMode getHandlerMode()

  - ### getHandlerDefault

    public String getHandlerDefault()

  - ### getHandlerCustom

    public String getHandlerCustom()

  - ### getHandlerParams

    public String getHandlerParams()

  - ### setComponentId

    public MailConfig setComponentId(String componentId)

  - ### setModuleId

    public MailConfig setModuleId(int moduleId)

  - ### setKey

    public MailConfig setKey(String key)

  - ### setSubjectMode

    public MailConfig setSubjectMode(MailConfig.SubjectMode subjectMode)

  - ### setSubjectCustom

    public MailConfig setSubjectCustom(String subjectCustom)

  - ### setPatternMode

    public MailConfig setPatternMode(MailConfig.PatternMode patternMode)

  - ### setPatternDefault

    public MailConfig setPatternDefault(String patternDefault)

  - ### setPatternCustom

    public MailConfig setPatternCustom(String patternCustom)

  - ### setHandlerMode

    public MailConfig setHandlerMode(MailConfig.HandlerMode handlerMode)

  - ### setHandlerDefault

    public MailConfig setHandlerDefault(String handlerDefault)

  - ### setHandlerCustom

    public MailConfig setHandlerCustom(String handlerCustom)

  - ### setHandlerParams

    public MailConfig setHandlerParams(String handlerParams)